Bug 852648 - [as7] Unable to create HornetQ Connection Factory resources
[as7] Unable to create HornetQ Connection Factory resources
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 852534
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-08-29 04:16 EDT by Stefan Negrea
Modified: 2013-09-03 11:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 852534
Environment:
Last Closed: 2013-09-03 11:04:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-08-29 04:16:57 EDT
+++ This bug was initially created as a clone of Bug #852534 +++

Description of problem:
Unable to create connection-factory or pooled-connection-factory when the connector property is left unset. 

The error message returned by AS7 after the create child command is submitted:
Null key for a Map not allowed in JSON (use a converting NullKeySerializer?), rolled-back=false, rolled-back=false

The same error message is visible when the connector property is unset on existing subresources.

Paths of affected resources:
*/subsystem=messaging/hornetq-server=default/connection-factory=*
*/subsystem=messaging/hornetq-server=default/pooled-connection-factory=*


How reproducible:
Every time


Steps to Reproduce:

Resource Creation:
1. Discover and import an AS7 standalone server
2. Find a resource hornetq server in the messaging subsystem
3. Create a new connection-factory or a pooled-connection-factory. Leave all the fields to default value. Add values to all required fields that do not have a default value.

Resource Configuration Update:
1. Discovery and import an AS7 standalone server
2. Find resources at the addresses mentioned above.
3. Unset the connector property.

  
Actual results:
The operation fails with the following error message:
Null key for a Map not allowed in JSON (use a converting NullKeySerializer?), rolled-back=false, rolled-back=false

Expected results:
The operation succeeds.


Additional info:
The two test cases fail because of the same issue, attempting to pass a map with a null key to AS7 for the connector field.

--- Additional comment from snegrea@redhat.com on 2012-08-28 16:26:21 EDT ---

Updated the configuration writer to set collapsed maps with null keys to null rather than sending a map with a null:null for key:value. Attempting to send maps with null keys to the application server results in validation errors.
Comment 2 John Sanda 2012-08-29 21:35:10 EDT
The CR1 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=231258. Moving to ON_QA.
Comment 3 Libor Zoubek 2012-09-05 09:27:55 EDT
I was able to create connection factories of both types, but I was not able to unset connector property on existing factories. This field is read-only in JON, although I can edit it in EAP6 Admin console (In admin console this field cannot be undefined).
Comment 4 Libor Zoubek 2012-09-05 09:28:49 EDT
verified on JON 3.1.1.CR1
Comment 5 Heiko W. Rupp 2013-09-03 11:04:30 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.